Page MenuHomePhabricator

[BUG] TypeError: appConfig.translations[a][o.getValue(...)] is undefined
Closed, ResolvedPublic1 Story PointsBug

Description

What is the problem?

When typing a new translation I see in the console:

TypeError: appConfig.translations[a][o.getValue(...)] is undefined[Learn More] 3 app.2ff9235f.js:65:42145
	s/< https://tools.wmflabs.org/svgtranslate-test/assets/app.2ff9235f.js:65:42145
	each https://tools.wmflabs.org/svgtranslate-test/assets/app.2ff9235f.js:39:2646
	each https://tools.wmflabs.org/svgtranslate-test/assets/app.2ff9235f.js:39:1320
	s https://tools.wmflabs.org/svgtranslate-test/assets/app.2ff9235f.js:65:41960
	dispatch https://tools.wmflabs.org/svgtranslate-test/assets/app.2ff9235f.js:50:37878
	add/f.handle https://tools.wmflabs.org/svgtranslate-test/assets/app.2ff9235f.js:50:35943

Seems to happen when switching focus on the text inputs.

Only seems to happen if the translation for the selected language does not already exist in the SVG.

I don't see any side-effects of the error.

Steps to reproduce problem
  1. Open up any file in SVG translate
  2. Select a "to" language which the file does not already have
  3. Open the browser console
  4. Type something in an input box and change focus (press tab or click away from the field)

Expected behavior: No error message
Observed behavior: Error message in the console

Environment

Browser: Firefox 60

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptApr 10 2019, 3:13 PM

This seems to have been a result of T216209.

Mooeypoo added a subscriber: Mooeypoo.

Merged. Should be in staging in a few minutes.

I've just released 0.8.0, containing code relating to this task.

I have not seen this error anymore on staging or production.

I have successfully uploaded several translations of SVG files on staging.

Niharika closed this task as Resolved.Apr 17 2019, 4:02 PM
Niharika moved this task from Product sign-off to Done on the Community-Tech-Sprint board.
Niharika moved this task from Backlog to Done on the SVG Translate Tool board.Apr 30 2019, 6:46 PM